Qt Reference Documentation

# QTileRules Class Reference

     #include <QTileRules>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| QTileRules ( Qt::TileRule horizontalRule, Qt::TileRule verticalRule )
| QTileRules ( Qt::TileRule rule = Qt::StretchTile )

## Detailed Description

Holds the rules used to draw a pixmap or image split into nine segments, similar to CSS3 border-images.

See also Qt::TileRule and QMargins.

## Member Function Documentation

### QTileRules::QTileRules ( Qt::TileRule horizontalRule, Qt::TileRule verticalRule )

Constructs a QTileRules with the given horizontalRule and verticalRule.

### QTileRules::QTileRules ( Qt::TileRule rule = Qt::StretchTile )

Constructs a QTileRules with the given rule used for both the horizontal rule and the vertical rule.